Bug 589802 - mesa llvmpipe background problem
mesa llvmpipe background problem
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-06 18:07 EDT by Didier G
Modified: 2011-06-27 12:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:09:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
glxinfo (14.48 KB, text/plain)
2010-05-06 18:37 EDT, Didier G
no flags Details
screenshot (124.68 KB, image/png)
2010-05-06 18:38 EDT, Didier G
no flags Details

  None (edit)
Description Didier G 2010-05-06 18:07:21 EDT
Description of problem:

As there is not yet 3D graphic mesa driver for my graphic card HD5770 I try to use llvmpipe.

When I run glxgears, background is not black as it should be but transparent.


Version-Release number of selected component (if applicable):

mesa llvmpipe build from today 05/07/2010 git clone


How reproducible:

Every time


Steps to Reproduce:
1. Install llvmpipe
2. Run glxgears

  
Actual results:

Transparent background for glxgears


Expected results:

Black background for glxgears


Additional info:

I am going tp send screenshot and glxinfo output as attachements.
Comment 1 Didier G 2010-05-06 18:37:06 EDT
Created attachment 412182 [details]
glxinfo
Comment 2 Didier G 2010-05-06 18:38:49 EDT
Created attachment 412183 [details]
screenshot
Comment 3 Didier G 2010-05-07 03:22:20 EDT
From mesa-dev mailing list 

http://lists.freedesktop.org/archives/mesa-dev/2010-May/000587.html :

It's picking up a depth 32 visual. You can work around it by setting the
environment variable XLIB_SKIP_ARGB_VISUALS=1 for glxgears.

-- 
Earthling Michel Dänzer           |                http://www.vmware.com
Libre software enthusiast         |          Debian, X and DRI developer
Comment 4 Corbin Simpson 2010-05-07 08:08:21 EDT
ajax, I will patch glxgears if needed, but is this really a bug? :3

~ C.
Comment 5 Didier G 2010-05-07 19:43:33 EDT
You dont have to modify glxgears because this is not the root cause of the problem as youcan see with the 3 test I did with glxgears and with mplayer :


Test #1 with Software Rasterizer
================================

OpenGL vendor string: Mesa Project
OpenGL renderer string: Software Rasterizer
OpenGL version string: 2.1 Mesa 7.8.1
OpenGL shading language version string: 1.20

glxgears ==> OK
mplayer ==> OK


Test #2 with Gallium 0.4 on llvmpipe and XLIB_SKIP_ARGB_VISUALS not set
=======================================================================

OpenGL vendor string: VMware, Inc.
OpenGL renderer string: Gallium 0.4 on llvmpipe
OpenGL version string: 2.1 Mesa 7.9-devel
OpenGL shading language version string: 1.20

glxgears ==> transparent background
mplayer ==> transparent effects with desktop in background


Test #3 with Gallium 0.4 on llvmpipe and XLIB_SKIP_ARGB_VISUALS set to 1
========================================================================

glxgears ==> OK
mplayer ==> OK
Comment 6 Didier G 2010-05-08 08:51:59 EDT
As I had composite extension specified in /etc/X11/xorg.conf and reading http://www.x.org/archive/X11R6.8.0/doc/RELNOTES5.html , I removed this extension and now glxgears and mplyer work fine without to have to specify XLIB_SKIP_ARGB_VISUALS
Comment 7 Bug Zapper 2011-06-02 10:23:11 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2011-06-27 12:09:41 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.